- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SpeexPreprocessState Struct Reference

`#include <speex_preprocess.h>`

List of all members.

## Public Attributes
int | frame_size
int | ps_size
int | sampling_rate
float * | frame
float * | ps
float * | gain2
float * | window
float * | noise
float * | reverb_estimate
float * | old_ps
float * | gain
float * | prior
float * | post
float * | S
float * | Smin
float * | Stmp
float * | update_prob
float * | zeta
float * | loudness_weight
float * | inbuf
float * | outbuf
float | loudness
float | loudness2
int | nb_adapt
int | nb_loudness_adapt
int | consec_noise
int | nb_preprocess
drft_lookup * | fft_lookup

## Detailed Description

Speex pre-processor state.

## Member Data Documentation

int SpeexPreprocessState::frame_size

Number of samples processed each time

int SpeexPreprocessState::ps_size

Number of points in the power spectrum

int SpeexPreprocessState::sampling_rate

Sampling rate of the input/output

float* SpeexPreprocessState::frame

Processing frame (2*ps_size)

float* SpeexPreprocessState::ps

Current power spectrum

float* SpeexPreprocessState::gain2

Adjusted gains

float* SpeexPreprocessState::window

Analysis/Synthesis window

float* SpeexPreprocessState::noise

Noise estimate

float* SpeexPreprocessState::reverb_estimate

Estimate of reverb energy

float* SpeexPreprocessState::old_ps

Power spectrum for last frame

float* SpeexPreprocessState::gain

Ephraim Malah gain

float* SpeexPreprocessState::prior

A-priori SNR

float* SpeexPreprocessState::post

A-posteriori SNR

float* SpeexPreprocessState::S

Smoothed power spectrum

float* SpeexPreprocessState::Smin

See Cohen paper

float* SpeexPreprocessState::Stmp

See Cohen paper

float* SpeexPreprocessState::update_prob

Propability of speech presence for noise update

float* SpeexPreprocessState::zeta

Smoothed a priori SNR

float* SpeexPreprocessState::loudness_weight

Perceptual loudness curve

float* SpeexPreprocessState::inbuf

Input buffer (overlapped analysis)

float* SpeexPreprocessState::outbuf

Output buffer (for overlap and add)

float SpeexPreprocessState::loudness

loudness estimate

float SpeexPreprocessState::loudness2

loudness estimate

int SpeexPreprocessState::nb_adapt

Number of frames used for adaptation so far

int SpeexPreprocessState::nb_loudness_adapt

Number of frames used for loudness adaptation so far

int SpeexPreprocessState::consec_noise

Number of consecutive noise frames

int SpeexPreprocessState::nb_preprocess

Number of frames processed so far

struct drft_lookup* SpeexPreprocessState::fft_lookup

Lookup table for the FFT

The documentation for this struct was generated from the following file:

- C:/RakNet/DependentExtensions/speex-1.1.12/include/speex/speex_preprocess.h